Attention!
You are viewing a news item in the old website format. There may be display issues in some browser versions.

Close

Changes to World of Tanks Assistant Support

Please be aware that after 15th October 2013, the World of Tanks Assistant Version 1.4.3 and older will no longer be supported.

As such, if you are using an older version, please update the application to the latest version.  

 

Download WoT Assistant for iOS

Download WoT Assistant for Android

Close